module TungstenEngine
  module Core
    # Represents a modular component of the game,
    # being updated and rendered automatically after
    # being registered to the game
    class GameComponent
      def update(_game_time)
        raise('This method needs to be overwritten in a subclass')
      end

      def render(_game_time)
        raise('This method needs to be overwritten in a subclass')
      end
    end
  end
end
